%define real_name PDL
%define name perl-%{real_name}
%define version 2.200
%define real_version 2.2
%define release 1mdk

Summary: PerlDL, an efficient numerical language for scientific computing
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
Buildroot: %{_tmppath}/%{name}-buildroot/
Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/PDL/%{real_name}-%{real_version}.tar.bz2
Source1: PDL-convert-doc.pl.bz2
Patch: PDL-GLEXT.patch.bz2
Patch1: PDL-glconf.patch.bz2
Patch2: PDL-nofftw.patch.bz2
Prefix: %{_prefix}
Requires: Mesa >= 3.0
BuildRequires: perl-ExtUtils_F77
Obsoletes: PDL

%package doc
Summary: PerlDL documentation package
Group: Development/Perl
Requires: perl-PDL

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%description doc
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

This is the documentation package.

%prep
%setup -q -n %{real_name}-%{real_version}
#%patch -p1 -b .GLEXT
#%patch1 -p1 -b .glconf
%patch2 -p0 -b .nofftw

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

# create /usr/bin if it not already exists
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}

# is there something in /usr/local/scripts? If so, move it to /usr/bin

if [ -d $RPM_BUILD_ROOT/%{prefix}/local ] ; then
    if [ -d $RPM_BUILD_ROOT/%{prefix}/local/scripts ] ; then
	%{__mv} $RPM_BUILD_ROOT/%{prefix}/local/scripts/* $RPM_BUILD_ROOT%{_bindir}
    fi
fi

# fix installed documentation
%{__bzip2} -dc %{SOURCE1} | %{__perl} - "$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes DEPENDENCIES Known_problems README DEVELOPMENT INSTALL TODO 
%{_bindir}/*
%{_libdir}/perl5/man/man3/*
%{perl_sitearch}/auto/PDL
%{perl_sitearch}/PDL.pm
%dir %{perl_sitearch}/PDL
%{perl_sitearch}/PDL/default.perldlrc
%{perl_sitearch}/PDL/pdldoc.db
%{perl_sitearch}/PDL/*.pm
%{perl_sitearch}/PDL/Core
%{perl_sitearch}/PDL/Demos
%{perl_sitearch}/PDL/Doc
%{perl_sitearch}/PDL/Filter
%{perl_sitearch}/PDL/Fit
%{perl_sitearch}/PDL/Graphics
%{perl_sitearch}/PDL/IO
%{perl_sitearch}/PDL/Opt
%{perl_sitearch}/PDL/Pod
%{perl_sitearch}/PDL/PP

%files doc
%defattr(-,root,root)
%doc COPYING
%{perl_sitearch}/PDL/*.pod
%{perl_sitearch}/PDL/HtmlDocs


%changelog
* Wed Jan 31 2001 Franois Pons <fpons@mandrakesoft.com> 2.200-1mdk
- fixed build dir in documentation index and html doc.
- 2.2.

* Thu Nov 16 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-4mdk
- created patch to force disabling fftw (while in contrib).

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-3mdk
- updated summary.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-2mdk
- created patch for proper compilation without Mesa-devel.

* Fri Aug 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-1mdk
- 2.1.1 renamed as 2.101 to avoid serializing.
- added perl-PDL-doc for pod files and HTML docs.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 2.005-3mdk
- created patch to compile with new Mesa-3.3.

* Mon Jul 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 2.005-2mdk
- macrosfizication
- build with Core and HtmlDocs
- moving stuff from /usr/local/scripts to /usr/bin if needed; and don't tell me
  noone that this is already automagically done, because it ain't!
- added all the files that get installed during build, aka. nightmare? *g*
- added some %doc files

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 2.005-1mdk
- 2.005.
- removed patch for compiling with perl 5.6.0.
- removed perllocal.pod

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.004-1mdk
- updated to 2.004.
- added patch for compiling with perl 5.6.0.
- reduced nightmare of files section.
- removed man1 pages as they are no longer available?
- updated Group.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.003-5mdk
- fix on non i386 arch.

* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>
- added section 1 man pages (mainly internals of PDL).

* Wed Dec 15 1999 Franois PONS <fpons@mandrakesoft.com>
- added perldl, although not mandatory it helps a lot for tutorial and doc.

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with new Mesa

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 2.003
- fixed missing defattr.
- Build release.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %{name} problems to perl-PDL (all perl modules need to begin with perl)
- Add a Requires: Mesa

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- first version of rpm.

# end of file
